## systemtap 0.0.20061028

=== runtime/bench2/Makefile ===
all: itest

itest: itest.c
	gcc -Wall -O3 -o itest itest.c

clean:
	/bin/rm -f itest
