=== runtime/tests/math/Makefile ===
default: tests

tests:
	tclsh all.tcl
