## systemtap 1.2

=== doc/Tapset_Reference_Guide/Makefile ===
#Makefile for Tapset_Reference_Guide

XML_LANG	= en-US
DOCNAME		= Tapset_Reference_Guide
#PRODUCT	= FIX_ME!
BRAND		= fedora

#OTHER_LANGS	= as-IN bn-IN de-DE es-ES fr-FR gu-IN hi-IN it-IT ja-JP kn-IN ko-KR ml-IN mr-IN or-IN pa-IN pt-BR ru-RU si-LK ta-IN te-IN zh-CN zh-TW

# Extra Parameters start here

# Extra Parameters stop here
COMMON_CONFIG  = /usr/share/publican
include $(COMMON_CONFIG)/make/Makefile.common
