=== debian/changelog ===
systemtap (1.2-5+squeeze1) stable-security; urgency=high

  * Non-maintainer upload
  * Backport upstream fix for CVE-2011-2503. (Closes: #635542)
  * Rename patch debian-changes-1.2-5 to
    fix-CVE-2010-4170-CVE-2010-4171.diff and fix misleading DEP-3
    information (this fix was first included in 1.2-3).

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 17 Oct 2011 11:45:09 +0300

systemtap (1.2-5) unstable; urgency=high

  * Add dependency on package adduser. Thanks to the piuparts
    infrastructure for spotting it. (Closes: #604439)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 22 Nov 2010 15:54:22 +0530

systemtap (1.2-4) unstable; urgency=high

  * Fix file permissions when building the package. dh_fixperms overrides
    the build time permissions set. Thanks to Steve Beattie.

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 20 Nov 2010 13:50:38 +0530

systemtap (1.2-3) unstable; urgency=high

  * Fix CVE Vulnerability: CVE-2010-4170, CVE-2010-4171
    staprun module loading/unloading security fixes
    (Closes: #603946)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 19 Nov 2010 18:47:21 +0530

systemtap (1.2-2) unstable; urgency=low

  * Update README.Debian about kernel dependency

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 29 Sep 2010 23:20:34 +0530

systemtap (1.2-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * New maintainer. Closes: #568866.
  * New upstream release.
    - Fixes CVE-2009-4273. Closes: #568865.
  * Removed patches:
    - xmlto-test.diff: applied upstream.
    - dont-remove-scripts.diff: applied upstream.
    - examples-shebangs.diff: applied upstream.
  * Refreshed patches:
    - use-pdflatex.diff
    - debversion.diff
    - new-elfutils.diff
  * Bump policy to 3.8.4. No changes needed.

  [ Ritesh Raj Sarraf ]
  * Take maintenance and add Lucas to Uploaders 
  * Switch to 3.0 (quilt) source format 
  * Add get-orig-source target 
  * Drop libebl-dev and Add libdw-dev as Build Depends 
  * Fix build rules and use configure script from upstream 
  * Break systemtap common architecture independent data to the
    systemtap-common package 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 24 May 2010 00:34:35 +0530

systemtap (1.1-1) experimental; urgency=low

  * New upstream release
    - too many changes, upload to experimental for now
  * Fix Vcs-Browser url
  * Update debian/copyright
  * Pass --disable-publican to configure, not usable in Debian
  * Removed patches:
    - no-PROCFLAGS.diff - fixed upstream
    - no-xmto.diff - let's try to use xmlto..., build depend on it
    - stap-env.diff - no longer needed
    - SystemTap-1.0-limit-printf-arguments.patch - fixed upstream
    - SystemTap-1.0-limit-dwarf-expression-stack-size.patch - fixed upstream
    - SystemTap-1.0-unwind-table-size-checks.patch - fixed upstream
  * Updated patches:
    - dont-build-pdfdocs.diff
    - grapher-libs.diff 
  * Build-depend on libboost-dev and libglademm-2.4-dev, needed for grapher
  * New patches:
    - dont-remove-scripts.diff - do not remove scripts on clean
    - examples-shebangs.diff - add missing shebangs to examples
    - xmlto-test.diff - use html format to test xmlto, txt format requires
      additional build-dependencies

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 21 Jan 2010 14:45:25 +0100

systemtap (1.0-2) unstable; urgency=high

  * Fix multiple DoS issues (CVE-2009-2911), thanks to Moritz Muehlenhoff
    fo reporting. Urgency is high because of security bug.
    (closes: 551918)
  * New patches (stolen from RedHat's bugzilla):
    - SystemTap-1.0-limit-printf-arguments.patch
    - SystemTap-1.0-limit-dwarf-expression-stack-size.patch
    - SystemTap-1.0-unwind-table-size-checks.patch

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 21 Oct 2009 22:05:22 +0200

systemtap (1.0-1) unstable; urgency=low

  * New upstream release
    - stap does not seem to print warnings if -client is not installed
      (probably closes: #545429)
  * Install AUTHORS into systemtap package
  * Try to explain what are -client and -server packages for (hopefully
    closes: #545279)
  * Depend on net-tools in systemtap-server (for netstat)
  * s/stap-client/systemtap-client/ in systemtap's conflicts/replaces

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 23 Sep 2009 20:20:09 +0200

systemtap (0.9.9+0git20090920-1) experimental; urgency=low

  * New upstream snaphsot
  * Don't build-depend on bzip2 anymore
  * Removed patches:
    - docs-clean.diff - applied upstream
  * Install stap-sign-module into -server
  * Remove special rule for patch target, it is supported by new enough
    dh

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 20 Sep 2009 20:54:51 +0200

systemtap (0.9.9+0git20090910-2) experimental; urgency=low

  * Use -regex for find in clean target, hopefully fixes FTBFS on s390
  * Use © instead of (C) in debian/copyright
  * Fix path to examples in stapex (3)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 12 Sep 2009 17:41:14 +0200

systemtap (0.9.9+0git20090910-1) experimental; urgency=low

  * New upstream snapshot
    - This release supports execution of probe modules by unpriviledged
      users. This feature is experimental and can cause security problems.
      Added note to NEWS.Debian
  * Use quilt instead of dbs
  * Strip numeric prefixes and add .diff to patches
  * Removed patches:
    - relocatable-kernel-buildid.diff - applied upstream
    - configure-quot.diff - applied upstream
    - arm-nop.diff - applied upstream 
  * Remove autotools generated files in clean target
  * New patches:
    - docs-clean.diff - remove generated files during clean
    - debversion.diff - add debian package version information into stap -V
      output
  * Install NEWS.Debian into all binary packages
  * Git is now used for packaging
    - Add Vcs-* headers to debian/control
    - Remove uupdate invokation from watch file
  * Update README.source with information about using quilt

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 12 Sep 2009 00:45:38 +0200


