=== debian/control ===
Source: systemtap
Section: devel
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.141),
 libdw-dev (>= 0.141), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
 texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
 libnss3-tools, libgtkmm-2.4-dev (>= 2.8.0), xmlto, libboost-dev, libglademm-2.4-dev,
 latex2html
Standards-Version: 3.8.4
Homepage: http://sourceware.org/systemtap/
Vcs-Git: git://git.debian.org/git/collab-maint/systemtap.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git

Package: systemtap
Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 systemtap-common (= ${source:Version})
Suggests: systemtap-doc, vim-addon-manager, linux-image-2.6, linux-headers-2.6, linux-debug-2.6
Description: instrumentation system for Linux 2.6
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 This assists diagnosis of a performance or functional problem.
 SystemTap eliminates the need for the developer to go through the
 tedious and disruptive instrument, recompile, install, and reboot
 sequence that may be otherwise required to collect data.
 .
 SystemTap provides a simple command line interface and scripting
 language for writing instrumentation for a live running system.

Package: systemtap-common
Architecture: all
Replaces: systemtap (<< 0.0.20081220-1)
Conflicts: systemtap (<< 0.0.20081220-1)
Depends: ${misc:Depends}
Recommends: systemtap
Description: instrumentation system for Linux 2.6 (common component)
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.
 .
 This package contains the common files

Package: systemtap-runtime
Replaces: systemtap (<< 0.0.20081220-1)
Conflicts: systemtap (<< 0.0.20081220-1)
Suggests: systemtap
Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: instrumentation system for Linux 2.6 (runtime component)
 This package contains staprun program that can be used to run
 compiled SystemTap probes.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.

Package: systemtap-doc
Architecture: all
Section: doc
Suggests: doc-base
Depends: ${misc:Depends}
Conflicts: systemtap (<< 0.0.20081220-1)
Replaces: systemtap (<< 0.0.20081220-1)
Description: documentation and examples for SystemTap
 This package contains examples and documentation for SystemTap.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-server
Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
 systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 net-tools
Conflicts: systemtap-client (<< 0.0.20090523~)
Replaces: systemtap-client (<< 0.0.20090523~)
Description: instrumentation system for Linux 2.6 (compile server)
 This package contains compile server for SystemTap. It can be used
 together with systemtap client to compile probes on a remote machine.
 Probes will be compiled by the server on request of remote clients.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-client
Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: systemtap-server
Description: instrumentation system for Linux 2.6 (client for compile server)
 This package contains client for SystemTap compile server. It can be
 used to compile probes on a remote machine running systemtap-server.
 This client can be run on a machine without full kernel debug information
 and development environment required for 'systemtap' package.
 .
 If you only want to compile systemtap probes locally just install
 'systemtap'  package.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-sdt-dev
Architecture: all
Depends: ${misc:Depends}, python
Description: statically defined probes development files
 This package contains header file and executable (dtrace) that
 can be used to add static probes into userspace applications
 for use with SystemTap.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.

Package: systemtap-grapher
Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
Depends: systemtap (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instrumentation system for Linux 2.6 (grapher)
 This package contains a utility for real-time visualization of
 data from SystemTap instrumentation scripts.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
