## systemtap 1.3

=== debian/changelog ===
systemtap (1.3-1) experimental; urgency=low

  * New Upstream Release 
  * Refresh patches:
    + manpage-and-spelling-error-fixes.patch
    + dont-build-pdfdocs.diff
    + new-elfutils.diff
  * Drop patch:
    + no-make-distclean-for-man.diff
    + stapex-docdir-path.diff 
  * Add libavahi-client-dev build dependency
  * Update Standards Version to 3.9.1
    + Use Breaks instead of Conflicts
  * Explain about kernel feature dependency and availability (Closes: #591893) 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 07 Aug 2010 00:03:52 +0530
