=== debian/changelog ===
systemtap (1.4-1ubuntu2) oneiric; urgency=low

  * debian/patches/fix-compile-warning: Apply upstream fix for failure to
    compile tapsets due to kernel change.  (LP: #838205)
  * debian/patches/no-werror.patch: Remove -Werror from CFLAGS to avoid
    new variable-set-but-not-used errors when building.

 -- Ubuntu <ubuntu@domU-12-31-39-14-F0-B3.compute-1.internal>  Wed, 31 Aug 2011 16:06:54 +0000

systemtap (1.4-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    debian/patches/Updated-__ip_sock_daddr-for-2.6.38-kernels.patch,
    debian/patches/adding-ifdef-CLONE_STOPPED-to-stop-module-compilatio.patch:
    patches taken from upstream.
  * Dropped changes, included in Debian:
    - debian/rules, debian/systemtap-runtime.postinst: restrict executable 
      access to group stapusr to match upstream intent.
  * Dropped changes, superseded upstream:
    - Added upstream patches for kernels 2.6.37/2.6.38, identified after
      running testsuite
    - debian/patches/CVE-2010-4170+CVE-2010-4171.patch: staprun module
      loading/unloading security fixes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 18 Jun 2011 00:09:15 +0000

systemtap (1.4-1) unstable; urgency=low

  * New Upstream Release 
  * [6f15c23] fix staprun permissions in dh_fixperms. Thanks to Steve
    Beattie
  * [4766ec7] update debian/news about new execution permission
  * [98fddd0] refresh patches
  * [1f33512] drop patch new-elfutils.diff. no more needed

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 25 Feb 2011 03:23:16 +0530

systemtap (1.3-2ubuntu2) natty; urgency=low

  * Added upstream patches for kernels 2.6.37/2.6.38, identified after
    running testsuite (LP: #721771)

 -- Frederic Turgis <f-turgis@ti.com>  Thu, 17 Mar 2011 12:25:48 +0000

systemtap (1.3-2ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #721702) Remaining changes:
    - debian/patches/CVE-2010-4170+CVE-2010-4171.patch: staprun module 
      loading/unloading security fixes.
    - debian/rules, debian/systemtap-runtime.postinst: restrict executable 
      access to group stapusr to match upstream intent.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Sat, 19 Feb 2011 16:25:38 +0700

systemtap (1.3-2) unstable; urgency=low

  * Add dependency on package adduser. Thanks to the piuparts
    infrastructure for spotting it. (Closes: #604439)
  * Add dependency on make (Closes: #608905)
  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 10 Feb 2011 20:30:26 +0530

systemtap (1.3-1ubuntu2) natty; urgency=low

  [ Lorenzo De Liso ]
  * SECURITY UPDATE: staprun module loading/unloading security fixes
    (LP: #677226)
    - debian/patches/CVE-2010-4170+CVE-2010-4171.patch
    - CVE 2010-4170
    - CVE 2010-4171

  [ Steve Beattie ]
  * debian/rules, debian/systemtap-runtime.postinst: restrict
    executable access to group stapusr to match upstream intent

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 19 Nov 2010 15:32:49 -0800
