=== debian/changelog ===
systemtap (1.6-1ubuntu1.1) precise; urgency=low

  * Backported the following changes to fix issues when running with the
    hwe kernels (3.5/3.8) (LP: #1237390)
    - fix-compile-problem-by-changing-stp_for_each_cpu-to.patch:
      [e14ac0e2] runtime/runtime.h: Replaced 'stp_for_each_cpu()' with
      'for_each_possible_cpu()'
    - runtime-autoconf-for-fs_supers-hlist-change.patch:
      [52dea427] runtime: autoconf for fs_supers hlist change
    - runtime-autoconf-for-relay-umode_t-change.patch:
      [56111fdc] runtime: autoconf for relay umode_t change

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Thu, 10 Oct 2013 12:11:53 -0500

systemtap (1.6-1ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #876855).  Remaining changes:
    - Refreshed no-werror.patch. Remove -Werror from CFLAGS to avoid
      new variable-set-but-not-used errors when building.
  * Drop changes:
    - Updated-__ip_sock_daddr-for-2.6.38-kernels.patch it was a patch picked
      from upstream, and this version has those changes
    - debian/patches/fix-compile-warning: Fix for failure to compile tapsets
      due to kernel change. Now in upstream.
    - adding-ifdef-CLONE_STOPPED-to-stop-module-compilatio.patch patch was
      taken from upstream.

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 17 Dec 2011 02:59:13 +0100

systemtap (1.6-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Refresh all patches.

  [ Ritesh Raj Sarraf ]
  * [ab3b78a] Imported Upstream version 1.6
  * New upstream release (Closes: #625414, #635542, #628819)
    - Fixes vulnerability: CVE-2011-1769, CVE-2011-1781, CVE-2011-2502
      and CVE-2011-2503 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 29 Jul 2011 15:59:14 +0530
