=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
-Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
+Uploaders: Lucas Nussbaum <lucas@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.141),
  libdw-dev (>= 0.141), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
@@ -16,7 +17,7 @@
 Package: systemtap
 Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- systemtap-common (= ${source:Version})
+ systemtap-common (= ${source:Version}), make
 Suggests: systemtap-doc, vim-addon-manager, linux-image-2.6, linux-headers-2.6, linux-debug-2.6
 Description: instrumentation system for Linux 2.6
  SystemTap provides infrastructure to simplify the gathering of
@@ -48,7 +49,7 @@
 Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
 Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: instrumentation system for Linux 2.6 (runtime component)
  This package contains staprun program that can be used to run
  compiled SystemTap probes.
