=== debian/changelog ===
systemtap (1.7-1+deb7u1) stable; urgency=low

  * Backport upstream commit c5f7c84bf1dcc515 (PR14245:
    support /sys/kernel/debug mounted 0700) to cope with
    new debugfs permissions introduced by linux 3.2.29-1
    (Closes: #706817):
    - PR14245-support-sys-kernel-debug-mounted-0700.patch

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 13 May 2013 20:59:26 +0000

systemtap (1.7-1) unstable; urgency=low

  * Explicitly list supported architectures of systemtap-sdt-dev.
  * Bump Standards-Version to 3.9.3, no changes were needed
  * Apply upstream fix for CVE-2012-0875 (Closes: #660886, #660929)

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Wed, 14 Mar 2012 14:23:00 +0200

systemtap (1.7-1~experimental1) experimental; urgency=low

  [ Ritesh Raj Sarraf ]
  * Add Timo Juhani Lindfors to Uploaders.

  [ Timo Juhani Lindfors ]
  * New Upstream Release.
  * Drop patches that are obsolete or accepted upstream:
    dont-build-pdfdocs.diff dont-remove-scripts.diff
    examples-shebangs.diff grapher-libs.diff new-elfutils.diff
    no-make-distclean-for-man.diff stapex-docdir-path.diff
    use-pdflatex.diff vim-filetype-override.diff xmlto-test.diff
  * Add patches to improve documentation: manpage-paths1.diff
    manpage-syntax1.diff spelling-fixes1.diff spelling-fixes2.diff
  * Update standards-version to 3.9.2, no changes necessary
  * Add armhf to the architecture list (Closes: #645797)
  * Enable hardened build flags (Closes: #655882)
  * Set architecture of systemtap-sdt-dev to linux-any to avoid confusion
    on kfreebsd (Closes: #656383, #656477)
  * Add stapsys group which behaves like stapdev but does not permit
    the use of guru mode.
  * Remove references to "Linux 2.6" from package description and suggests
    fields since we support 3.x too.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 19 Dec 2011 13:27:20 +0200
