=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
-Uploaders: Lucas Nussbaum <lucas@debian.org>
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org> 
+Uploaders: Lucas Nussbaum <lucas@debian.org>, Timo Juhani Lindfors <timo.lindfors@iki.fi>
 Build-Depends: debhelper (>= 7.0.50~), libelf-dev (>= 0.141),
  libdw-dev (>= 0.141), libsqlite3-dev, texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-fonts-recommended, libnss3-dev, libnspr4-dev, pkg-config,
  libnss3-tools, libgtkmm-2.4-dev (>= 2.8.0), xmlto, libboost-dev, libglademm-2.4-dev,
  latex2html, libavahi-client-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: git://git.debian.org/git/collab-maint/systemtap.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/systemtap.git
 
 Package: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  systemtap-common (= ${source:Version}), make
-Suggests: systemtap-doc, vim-addon-manager, linux-image-2.6, linux-headers-2.6, linux-debug-2.6
-Description: instrumentation system for Linux 2.6
+Suggests: systemtap-doc, vim-addon-manager, linux-image, linux-headers, linux-debug
+Description: instrumentation system for Linux
  SystemTap provides infrastructure to simplify the gathering of
  information about the running Linux system.
  This assists diagnosis of a performance or functional problem.
@@ -36,7 +35,7 @@
 Breaks: systemtap (<< 0.0.20081220-1)
 Depends: ${misc:Depends}
 Recommends: systemtap
-Description: instrumentation system for Linux 2.6 (common component)
+Description: instrumentation system for Linux (common component)
  SystemTap provides infrastructure to simplify the gathering of
  information about the running Linux system.
  .
@@ -48,9 +47,9 @@
 Replaces: systemtap (<< 0.0.20081220-1)
 Breaks: systemtap (<< 0.0.20081220-1)
 Suggests: systemtap
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
-Description: instrumentation system for Linux 2.6 (runtime component)
+Description: instrumentation system for Linux (runtime component)
  This package contains staprun program that can be used to run
  compiled SystemTap probes.
  .
@@ -73,13 +72,13 @@
  information about the running Linux system.
 
 Package: systemtap-server
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
 Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
  systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  net-tools
 Breaks: systemtap-client (<< 0.0.20090523~)
 Replaces: systemtap-client (<< 0.0.20090523~)
-Description: instrumentation system for Linux 2.6 (compile server)
+Description: instrumentation system for Linux (compile server)
  This package contains compile server for SystemTap. It can be used
  together with systemtap client to compile probes on a remote machine.
  Probes will be compiled by the server on request of remote clients.
@@ -88,10 +87,10 @@
  information about the running Linux system.
 
 Package: systemtap-client
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
 Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: systemtap-server
-Description: instrumentation system for Linux 2.6 (client for compile server)
+Description: instrumentation system for Linux (client for compile server)
  This package contains client for SystemTap compile server. It can be
  used to compile probes on a remote machine running systemtap-server.
  This client can be run on a machine without full kernel debug information
@@ -104,7 +103,7 @@
  information about the running Linux system.
 
 Package: systemtap-sdt-dev
-Architecture: all
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf
 Depends: ${misc:Depends}, python
 Description: statically defined probes development files
  This package contains header file and executable (dtrace) that
@@ -117,9 +116,9 @@
  To be able to write new SystemTap probes, install systemtap package.
 
 Package: systemtap-grapher
-Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb
+Architecture: i386 amd64 ia64 s390 powerpc arm armel armeb armhf 
 Depends: systemtap (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: instrumentation system for Linux 2.6 (grapher)
+Description: instrumentation system for Linux (grapher)
  This package contains a utility for real-time visualization of
  data from SystemTap instrumentation scripts.
  .
