=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,8 @@
 get-orig-source:
 	uscan --force-download --rename --repack --download-version=$(DEB_UPSTREAM_VERSION) --destdir=.
 
-
-CFLAGS = -Wall -g -D_GNU_SOURCE
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-CXXFLAGS = $(CFLAGS)
-export CFLAGS CXXFLAGS
+DEB_CFLAGS_MAINT_APPEND=-Wall -D_GNU_SOURCE
+DEB_CXXFLAGS_MAINT_APPEND=-Wall -D_GNU_SOURCE
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -40,12 +32,12 @@
 endif
 
 # dh does it wrong...
-CONF_FLAGS += --libexecdir=/usr/lib
+CONF_FLAGS += --libexecdir=/usr/lib $(shell dpkg-buildflags --export=configure)
 
 DH = dh
 
 # plus is to enable parallel build
-binary binary-arch binary-indep build clean install patch:
+binary binary-arch binary-indep build clean install patch build-arch build-indep:
 	+$(DH) $@
 
 
@@ -62,6 +54,9 @@
 	# Those files do not realy belong there
 	rm debian/tmp/usr/share/doc/systemtap/examples/README
 	rm debian/tmp/usr/share/doc/systemtap/examples/html/*.tmpl
+
+	# Remove empty file to make lintian happy
+	rm debian/tmp/usr/share/doc/systemtap/tapsets/tapsets.proc
 
 	# make sure that all examples are executable (except tutorial)
 	find debian/tmp/usr/share/doc/systemtap/examples/ -name \*.stp \! -executable -print -exec chmod +x "{}" \;
@@ -87,11 +82,9 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod 4750 debian/systemtap-runtime/usr/bin/staprun
-
-override_dh_installchangelogs:
-	        dh_installchangelogs debian/changelog
+	chmod 4754 debian/systemtap-runtime/usr/bin/staprun
 
 .PHONY: build clean binary-indep binary-arch binary install patch get-orig-source
+.PHONY: build-arch build-indep
 .PHONY: override_dh_auto_configure override_dh_auto_test override_dh_auto_install
 .PHONY: override_dh_auto_clean override_dh_compress override_dh_fixperms
